## let's add this until upstream fixes the requirement
%define		_requires_exceptions pear(PEAR/PackageFileManager.php)
%define		_class		PHP
%define		_subclass	Parser
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.2.2
Release:	%mkrel 3
Summary:	A PHP grammar parser
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/PHP_Parser/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch


%description
PHP_Parser is a source code analysis tool based around a real Parser
generated by PHP_ParserGenerator.  The parser uses the same EBNF source
that PHP
uses to parse itself, modified for Lemon parser format, and it therefore as
robust
as PHP itself.

This version has full support for parsing out every re-usable element
in PHP as of PHP 6:
- classes
 - abstract classes
 - inheritance, implements
 - interfaces
 - methods
  - any thrown or caught exception
  - static variables declared
  - global and superglobal ($_GET) variables used
    and declared
  - any class names used in any context
  - any functions called
  - any $this->var or class::$var
  - any $this->method or class::method() or class::$method()
 - variables
 - constants
- functions (same information as methods minus $this->/self::/parent::
information)
- defines
- global variables (with help of PHP_Parser_DocblockParser)
- superglobal variables used in global code
- include statements

The output can be customized to return an array, return
objects of user-specified classes, and can also be
customized to publish each element as it is parsed, allowing
hooks into parsing to catch information.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_Parser.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_Parser.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PHP_Parser
fi

%files
%doc docs/PHP_Parser/*
%{peardir}/*
%{xmldir}/PHP_Parser.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-3.mga4
+ Revision: 528315
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.2.2-2.mga4
+ Revision: 444175
- added exception until upstream fixes the name of the file

* Mon Jun 17 2013 spuhler <spuhler> 0.2.2-1.mga4
+ Revision: 443925
- upgrade to version 0.2.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-5.mga3
+ Revision: 377212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.2.1-4.mga1
+ Revision: 44093
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-PHP_Parser


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-4mdv2011.0
+ Revision: 613757
- the mass rebuild of 2010.1 packages

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-3mdv2010.1
+ Revision: 467956
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.2.1-2mdv2010.0
+ Revision: 441560
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 368308
- Update php pear PHP_Parser to 0.2.1 version

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2009.1
+ Revision: 322653
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdv2009.0
+ Revision: 237052
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.2.0-1mdv2008.1
+ Revision: 140730
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2008.0
+ Revision: 15963
- fix build
- 0.2.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2007.0
+ Revision: 82521
- Import php-pear-PHP_Parser

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- initial Mandriva package (PLD import)

